Crashpad

Public Attributes | List of all members
XSTATE_CONFIG_FEATURE_MSC_INFO Struct Reference

Information about XSAVE-managed state stored within CPU-specific context structures. More...

`#include "dbghelp.h"`

## Public Attributes
uint32_t | SizeOfInfo
| The size of this structure, in bytes. This value is `sizeof(XSTATE_CONFIG_FEATURE_MSC_INFO)`.
uint32_t | ContextSize
| The size of a CPU-specific context structure carrying all XSAVE state components described by this structure. More...
uint64_t | EnabledFeatures
| The XSAVE state-component bitmap, XSAVE_BV. More...
XSTATE_FEATURE | Features [MAXIMUM_XSTATE_FEATURES]
| The location of each state component within a CPU-specific context structure. More...

## Detailed Description

Information about XSAVE-managed state stored within CPU-specific context structures.

## Member Data Documentation

## ◆ ContextSize

uint32_t XSTATE_CONFIG_FEATURE_MSC_INFO::ContextSize

The size of a CPU-specific context structure carrying all XSAVE state components described by this structure.

Equivalent to the value returned by `InitializeContext()` in ContextLength.

## ◆ EnabledFeatures

uint64_t XSTATE_CONFIG_FEATURE_MSC_INFO::EnabledFeatures

The XSAVE state-component bitmap, XSAVE_BV.

See Intel Software Developer’s Manual, Volume 1: Basic Architecture (253665-060), 13.4.2 “XSAVE Header”.

## ◆ Features

XSTATE_FEATURE XSTATE_CONFIG_FEATURE_MSC_INFO::Features[MAXIMUM_XSTATE_FEATURES]

The location of each state component within a CPU-specific context structure.

This array is indexed by bit position numbers used in EnabledFeatures.

The documentation for this struct was generated from the following file:

- compat/non_win/dbghelp.h